﻿using C1.Win.Chart;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexChart_MultipleYAxis
{
    public partial class Form1 : Form
    {
        FlexChart _chart;
        public Form1()
        {
            InitializeComponent();

            this.Controls.Add(_chart = new FlexChart()
            {
                Dock = DockStyle.Fill,
                DataSource = Enumerable.Range(1, 50).Select(i => new DataPoint(i)),
                ChartType = C1.Chart.ChartType.Line,
                BindingX = "X",
                AxisY =
                {
                    AxisLine = false
                }
            });
            _chart.Series.Clear();
            for(int i=0; i<6; i++)
            {
                _chart.Series.Add(new Series
                {
                    Binding = $"Y{i + 1}",
                    Name = $"Y{i + 1}",
                    AxisY = new Axis
                    {
                        Position = C1.Chart.Position.Left,
                        Style =
                        {
                            StrokeColor = Color.FromArgb((int)(_chart as C1.Chart.IPalette).GetColor(i))
                        }
                    }
                });
            }
        }

        class DataPoint
        {
            public int X { get; set; }
            public int Y1 { get; set; }
            public int Y2 { get; set; }
            public int Y3 { get; set; }
            public int Y4 { get; set; }
            public int Y5 { get; set; }
            public int Y6 { get; set; }

            static Random _rnd = new Random();
            public DataPoint(int x)
            {
                X = x;
                Y1 = _rnd.Next(0, 20);
                Y2 = _rnd.Next(10, 30);
                Y3 = _rnd.Next(20, 40);
                Y4 = _rnd.Next(30, 50);
                Y5 = _rnd.Next(40, 60);
                Y6 = _rnd.Next(50, 70);
            }
        }
    }
}
